%define major 1
%define libxcomposite %mklibname xcomposite %{major}
%define devxcomposite %mklibname xcomposite -d

Name: libxcomposite
Summary: X Composite Library
Version: 0.4.4
Release: %mkrel 5
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXcomposite-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxfixes-devel >= 3.0.1.2
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Composite Library

#-----------------------------------------------------------

%package -n %{libxcomposite}
Summary: X Composite Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxcomposite}
X Composite  Library

%files -n %{libxcomposite}
%{_libdir}/libXcomposite.so.%{major}
%{_libdir}/libXcomposite.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxcomposite}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxcomposite} = %{version}-%{release}
Provides: libxcomposite-devel = %{version}-%{release}
Obsoletes: %{_lib}xcomposite1-devel < 0.4.4-4
Obsoletes: %{_lib}xcomposite1-static-devel < 0.4.4-4

%description -n %{devxcomposite}
Development files for %{name}

%files -n %{devxcomposite}
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc
%{_includedir}/X11/extensions/Xcomposite.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXcomposite-%{version}

%build
%configure2_5x	--disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.4-5.mga4
+ Revision: 532716
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 0.4.4-4.mga4
+ Revision: 469432
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 0.4.4-3.mga3
+ Revision: 397151
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 358518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 0.4.4-1.mga3
+ Revision: 338942
- new release

* Mon Nov 21 2011 fwang <fwang> 0.4.3-2.mga2
+ Revision: 170266
- drop .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 0.4.3-1.mga1
+ Revision: 6618
- imported package libxcomposite


* Thu Oct 28 2010 Thierry Vignaud <tv@mandriva.org> 0.4.3-1mdv2011.0
+ Revision: 589770
- new release

* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 556454
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 463608
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.0-4mdv2010.0
+ Revision: 425882
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-3mdv2009.0
+ Revision: 223066
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.4.0-2mdv2008.1
+ Revision: 151700
- Update BuildRequires and rebuild.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 48013
- Update to libXcomposite 0.4.0

* Thu May 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 20928
- New Release 0.3.2 (Adds protocol man pages to -devel package)

* Wed May 02 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 20515
- New Release 0.3.1 (fixes an incorrect call to UnlockDisplay)


* Fri Mar 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3-3mdv2007.1
+ Revision: 144826
- Rebuild to allow automated pkgconfig Provides: to be added.

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

